.flow-list {
  display: grid;
  gap: 2rem;
  
  @media screen and (min-width: 768px) {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
  @media screen and (min-width: 1024px) {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
  @media screen and (min-width: 1440px) {
    grid-template-columns: repeat(6, minmax(0, 1fr));
    gap: 0;
  }

  & .flow-list__item {
    display: flex;
    flex-direction: column;
    gap: 2rem;

    & .flow-list__title {
      padding: 1.5rem;
      text-align: center;
      
      & > h3 {
        font-size: 1.125rem;
        line-height: 1.25;
      }
    }
    & .flow-list__container {
      padding: 2rem 1rem;
      background: var(--paper-green);
      display: flex;
      flex-direction: column;
    }
    & .flow-list__content {
      display: flex;
      flex-direction: column;
      gap: 1rem;
    }
    &:first-child .flow-list__title {
      background-color: #F6FCF8;
    }
    &:nth-child(2) .flow-list__title {
      background-color: #DEF4E7;
    }
    &:nth-child(3) .flow-list__title {
      background-color: #BCE9CE;
    }
    &:nth-child(4) .flow-list__title {
      background-color: #9ADEB5;
    }
    &:nth-child(5) .flow-list__title {
      background-color: #34A160;
      color: var(--snow);
    }
    &:nth-child(6) .flow-list__title {
      background-color: var(--green);
      color: var(--snow);
    }
    
    @media screen and (min-width: 768px) {
      & .flow-list__container {
        flex: 1 0 0%;
      }
      & .flow-list__content {
        flex: 1 0 0%;
      }
    }
    @media screen and (min-width: 1440px) {
      gap: 2rem;
      & .flow-list__title {
        position: relative;
        &::before {
          content: "";
          position: absolute;
          top: 0;
          right: -20px;
          width: 20px;
          height: 100%;
          z-index: 1;
        }
      }
      &:not(:last-child) {
        & .flow-list__content {
          border-right: 1px dashed var(--green);
          padding-right: 1rem;
          margin-right: -1rem;
        } 
      }
      &:first-child {
        & .flow-list__title {
          &::before {
            background: no-repeat center/100% 100% url("/system_panel/uploads/images/flow-polygon--1.png");
          }
        }
      }
      &:nth-child(2) {
        & .flow-list__title {
          &::before {
            background: no-repeat center/100% 100% url("/system_panel/uploads/images/flow-polygon--2.png");
          }
        }
      }
      &:nth-child(3) {
        & .flow-list__title {
          &::before {
            background: no-repeat center/100% 100% url("/system_panel/uploads/images/flow-polygon--3.png");
          }
        }
      }
      &:nth-child(4) {
        & .flow-list__title {
          &::before {
            background: no-repeat center/100% 100% url("/system_panel/uploads/images/flow-polygon--4.png");
          }
        }
      }
      &:nth-child(5) {
        & .flow-list__title {
          &::before {
            background: no-repeat center/100% 100% url("/system_panel/uploads/images/flow-polygon--5.png");
          }
        }
      }
      &:nth-child(6) {
        & .flow-list__title {
          &::before {
            background: no-repeat center/100% 100% url("/system_panel/uploads/images/flow-polygon--6.png");
          }
        }
      }
    }
  }
}